com.genesyslab.wfm7.API.service.schedule712

## Class SchAgentStateHolder

- java.lang.Object
- - com.genesyslab.wfm7.API.service.schedule712.SchAgentStateHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class SchAgentStateHolder
      extends java.lang.Object
      implements java.io.Serializable

  Represents a response for requests to load `SchAgentState`
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private SchAgentState[]` | `schAgentState` An array of `SchAgentState`
    `private int` | `schAgentStateNSizeIs` Number of elements in "schAgentState" array
    `private SchStateInfo[]` | `schStateInfo` Contains state info (`SchStateInfo`) for every unique schedule state found in "schAgentState".
    `private int` | `schStateInfoNSizeIs` Number of elements in "schStateInfo" array
    `private long` | `timestamp` A value of database timestamp at a time when states were read from database.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchAgentStateHolder()`
    `SchAgentStateHolder(int schAgentStateNSizeIs, SchAgentState[] schAgentState, int schStateInfoNSizeIs, SchStateInfo[] schStateInfo, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `SchAgentState[]` | `getSchAgentState()` Gets the schAgentState value for this SchAgentStateHolder.
    `int` | `getSchAgentStateNSizeIs()` Gets the schAgentStateNSizeIs value for this SchAgentStateHolder.
    `SchStateInfo[]` | `getSchStateInfo()` Gets the schStateInfo value for this SchAgentStateHolder.
    `int` | `getSchStateInfoNSizeIs()` Gets the schStateInfoNSizeIs value for this SchAgentStateHolder.
    `long` | `getTimestamp()` Gets the timestamp value for this SchAgentStateHolder.
    `int` | `hashCode()`
    `void` | `setSchAgentState(SchAgentState[] schAgentState)` Sets the schAgentState value for this SchAgentStateHolder.
    `void` | `setSchAgentStateNSizeIs(int schAgentStateNSizeIs)` Sets the schAgentStateNSizeIs value for this SchAgentStateHolder.
    `void` | `setSchStateInfo(SchStateInfo[] schStateInfo)` Sets the schStateInfo value for this SchAgentStateHolder.
    `void` | `setSchStateInfoNSizeIs(int schStateInfoNSizeIs)` Sets the schStateInfoNSizeIs value for this SchAgentStateHolder.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this SchAgentStateHolder.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### schAgentStateNSizeIs

          private int schAgentStateNSizeIs

      Number of elements in "schAgentState" array

    - #### schAgentState

          private SchAgentState[] schAgentState

      An array of `SchAgentState`

    - #### schStateInfoNSizeIs

          private int schStateInfoNSizeIs

      Number of elements in "schStateInfo" array

    - #### schStateInfo

          private SchStateInfo[] schStateInfo

      Contains state info (`SchStateInfo`) for every unique schedule state found in "schAgentState". Is null if state info was not requested.

    - #### timestamp

          private long timestamp

      A value of database timestamp at a time when states were read from database.

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### SchAgentStateHolder

          public SchAgentStateHolder()

    - #### SchAgentStateHolder

          public SchAgentStateHolder(int schAgentStateNSizeIs,
                             SchAgentState[] schAgentState,
                             int schStateInfoNSizeIs,
                             SchStateInfo[] schStateInfo,
                             long timestamp)

  - ### Method Detail

    - #### getSchAgentStateNSizeIs

          public int getSchAgentStateNSizeIs()

      Gets the schAgentStateNSizeIs value for this SchAgentStateHolder.
      Returns:
        schAgentStateNSizeIs

    - #### setSchAgentStateNSizeIs

          public void setSchAgentStateNSizeIs(int schAgentStateNSizeIs)

      Sets the schAgentStateNSizeIs value for this SchAgentStateHolder.
      Parameters:
        `schAgentStateNSizeIs` -

    - #### getSchAgentState

          public SchAgentState[] getSchAgentState()

      Gets the schAgentState value for this SchAgentStateHolder.
      Returns:
        schAgentState

    - #### setSchAgentState

          public void setSchAgentState(SchAgentState[] schAgentState)

      Sets the schAgentState value for this SchAgentStateHolder.
      Parameters:
        `schAgentState` -

    - #### getSchStateInfoNSizeIs

          public int getSchStateInfoNSizeIs()

      Gets the schStateInfoNSizeIs value for this SchAgentStateHolder.
      Returns:
        schStateInfoNSizeIs

    - #### setSchStateInfoNSizeIs

          public void setSchStateInfoNSizeIs(int schStateInfoNSizeIs)

      Sets the schStateInfoNSizeIs value for this SchAgentStateHolder.
      Parameters:
        `schStateInfoNSizeIs` -

    - #### getSchStateInfo

          public SchStateInfo[] getSchStateInfo()

      Gets the schStateInfo value for this SchAgentStateHolder.
      Returns:
        schStateInfo

    - #### setSchStateInfo

          public void setSchStateInfo(SchStateInfo[] schStateInfo)

      Sets the schStateInfo value for this SchAgentStateHolder.
      Parameters:
        `schStateInfo` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this SchAgentStateHolder.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this SchAgentStateHolder.
      Parameters:
        `timestamp` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.